/* $Id: DefaultFactory.java 254 2011-07-06 17:44:22Z shayashi $ */
package reasoning_web.logical;

import reasoning_web.logical.inter_face.RWElement;
import smart_gs.logical.URICreator;

public class DefaultFactory extends Factory{
	
	DefaultFactory(){
		
	}
	@Override
	public ExplanatoryNote createExplanatoryNote(String source, 
			String uri, String originalURI, String version) {
		return new ExplanatoryNote(source,uri,originalURI,version);
	}
	@Override
	public Connection createConnection(ResourcePointer source,
			ResourcePointer target, ExplanatoryNote note, int dependency,
			String uri, String originalURI, String version) {
		Connection connection =  new Connection(source,target,note,
				uri,originalURI,version);
		return connection;
	}
	@Override
	public Connection createConnection(ResourcePointer source,
			ResourcePointer target, ExplanatoryNote note) {
		Connection connection =  new Connection(source,target,note);
		return connection;
		
	}
	@Override
	public ResourcePointer createResourcePointer(RWElement element) {
		return new ResourcePointer(element);
	}
}
